---
title: '-webkit-overflow-scrolling'
slug: Web/CSS/-webkit-overflow-scrolling
tags:
  - CSS
  - CSS Property
  - Non-standard
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}} {{Non-standard_header}}</div>

<p>The <code>-webkit-overflow-scrolling</code> <a href="/en-US/docs/Web/CSS">CSS</a> property controls whether or not touch devices use momentum-based scrolling for a given element.</p>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>auto</code></dt>
 <dd>Use "regular" scrolling, where the content immediately ceases to scroll when you remove your finger from the touchscreen.</dd>
 <dt><code>touch</code></dt>
 <dd>Use momentum-based scrolling, where the content continues to scroll for a while after finishing the scroll gesture and removing your finger from the touchscreen. The speed and duration of the continued scrolling is proportional to how vigorous the scroll gesture was. Also creates a new stacking context.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;div class="scroll-touch"&gt;
  &lt;p&gt;
    This paragraph has momentum scrolling
  &lt;/p&gt;
&lt;/div&gt;
&lt;div class="scroll-auto"&gt;
  &lt;p&gt;
    This paragraph does not.
  &lt;/p&gt;
&lt;/div&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">div {
  width: 100%;
  overflow: auto;
}

p {
  width: 200%;
  background: #f5f9fa;
  border: 2px solid #eaf2f4;
  padding: 10px;
}

.scroll-touch {
  -webkit-overflow-scrolling: touch; /* Lets it scroll lazy */
}

.scroll-auto {
  -webkit-overflow-scrolling: auto; /* Stops scrolling immediately */
}
</pre>

<h3 id="Results">Results</h3>

<p>{{EmbedLiveSample('Examples')}}</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard. Apple has <a href="https://developer.apple.com/library/safari/documentation/AppleApplications/Reference/SafariCSSRef/Articles/StandardCSSProperties.html#//apple_ref/css/property/-webkit-overflow-scrolling">a description in the Safari CSS Reference</a>.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-webkit-overflow-scrolling")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="http://css-tricks.com/snippets/css/momentum-scrolling-on-ios-overflow-elements/">CSS-Tricks article with demo</a></li>
 <li><a href="https://www.smashingmagazine.com/2018/08/scroll-bouncing-websites/">Smashing Magazine - describing the effect of scroll bouncing and how it works on different web browsers</a></li>
 <li><a href="https://developer.apple.com/documentation/safari_release_notes/safari_13_release_notes">Safari 13 Release notes</a>: Indicates the addition of support for one-finger accelerated scrolling to all frames and <code>overflow:scroll</code> elements, eliminating the need to set <code>-webkit-overflow-scrolling: touch</code>.</li>
</ul>
